# Class CIM_UseOfLog
extends CIM_Dependency

ManagedSystemElements may record their event, error or informational data within Logs. The use of a Log to hold a ManagedSystemElement's data is described by this association. The type of Element data captured by the Log can be specified using the RecordedData string property.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_UseOfLog

## Direct Known Subclasses

CIM_UseOfMessageLog

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | ManagedSystemElements may record their event, error or informational data within Logs. The use of a Log to hold a ManagedSystemElement's data is described by this association. The type of Element data captured by the Log can be specified using the RecordedData string property.
UMLPackagePath | string | CIM::System::Logs
Version | string | 2.9.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
RecordedData | string |
Description | string | A free-form string describing the use of the Log by the ManagedSystemElement.

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_UseOfLog | CIM_Log
Dependent | CIM_UseOfLog | CIM_ManagedSystemElement

## Class Methods